(function()
{
    var template = require('../../html/project/tasks_board_status.directive.html');
	var moduleName = 'claromentis.project';

	angular.module(moduleName)
        .directive('clangTasksBoardStatus', tasksBoardStatus);

    function tasksBoardStatus() {
        return {
            restrict: 'E',
            templateUrl: template,
            scope: {
                status: '<',
                list: '<'
            },
            transclude: true,
            controllerAs: 'ctrl',
            bindToController: true,
            controller: controller
        };

        function controller()
        {
            var ctrl = this;
        }
    }
}());
